;**************************************************************
;***    EMS4B.ASM                                           ***
;***                                                        ***
;***    function        EMS_Ems.getNumActiveHandles(        ***
;***                        var num_handles: Word)          ***
;***                        : Boolean;                      ***
;***                                                        ***
;***    Gives the number of active EMM handles              ***
;***                                                        ***
;***                                                        ***
;***    (Ems Version 3.0)                                   ***
;**************************************************************

        .model  large,pascal   

        include emsdefs.asm 

        extrn   errno:WORD  

;
;   Define entry point
;
        public  EMS_Ems@getNumActiveHandles

        .code

EMS_Ems@getNumActiveHandles proc    num_handles:Far Ptr Word, self:DWord


        mov     ah,GetNumActHandles     ; Move function code
        int     Ems                     ; Do the ems call

        or      ah,ah                   ; Set flags
        jnz     error

;
;   Return the result:
;
        mov     ax,bx                   ; Number of handles
        les     bx,num_handles
        mov     es:[bx],ax              ; Give it back

        xor     ax,ax                   ; AX gets 0
        ret                             ; Return to caller

error:
        mov     al,ah
        xor     ah,ah                   ; Zero high byte
        mov     errno,ax                ; Save in errno too
        ret                             ; Return to caller

EMS_Ems@getNumActiveHandles endp        ; End of procedure

        end                             ; End of source file



