;**************************************************************
;***    EMS5B6.ASM                                          ***
;***                                                        ***
;***    function        EMS_Ems.enableDMA40(                ***
;***                        regSet:         Byte;           ***
;***                        channel:        Byte)           ***
;***                        : Boolean;                      ***
;***                                                        ***
;***    Allocates DMA register set                          ***
;***                                                        ***
;***    Returns 0 if no error or an error code.             ***
;***                                                        ***
;***                                                        ***
;***                                                        ***
;***    (Ems Version 4.0)                                   ***
;**************************************************************

        .model  large,pascal   

        include emsdefs.asm 

        extrn   errno:WORD  

;
;   Define entry point
;
        public  EMS_Ems@enableDMA40

        .code

EMS_Ems@enableDMA40 proc regSet:Word, channel:Word, self:DWord

        mov     bx,regSet               ; BX gets register set
        mov     dx,channel              ; DX gets the channel

        mov     ax,EnableDMA40          ; Do the EMS call
        int     Ems           

        or      ah,ah                   ; Set flags
        jnz     error

        xor     ax,ax                   ; Return OK
        ret         

error:
        mov     al,ah                   ; AL gets error code
        xor     ah,ah                   ; Zero extend
        mov     errno,ax                ; Save in errno too
        ret

EMS_Ems@enableDMA40 endp                ; End of procedure

        end                             ; End of source file
